91be9d338a2bf2cb5e3f99233523234ad0723956
[openwrt/openwrt.git] / tools / coreutils / patches / 000-bootstrap.patch
1 --- a/bootstrap
2 +++ b/bootstrap
3 @@ -278,7 +278,7 @@ check_exists() {
4 ($2 --version </dev/null)
5 fi
6 else
7 - ($1 --version </dev/null) >/dev/null 2>&1
8 + ($@ --version </dev/null) >/dev/null 2>&1
9 fi
10
11 test $? -lt 126
12 @@ -563,7 +563,7 @@ p
13 q'
14
15 get_version() {
16 - app=$1
17 + app="$@"
18
19 $app --version >/dev/null 2>&1 || { $app --version; return 1; }
20
21 @@ -620,13 +620,13 @@ check_versions() {
22 if [ "$req_ver" = "-" ]; then
23 # Merely require app to exist; not all prereq apps are well-behaved
24 # so we have to rely on $? rather than get_version.
25 - if ! check_exists --verbose $app; then
26 + if ! check_exists --verbose "$app"; then
27 warn_ "Error: '$app' not found"
28 ret=1
29 fi
30 else
31 # Require app to produce a new enough version string.
32 - inst_ver=$(get_version $app)
33 + inst_ver=$(get_version "$app")
34 if [ ! "$inst_ver" ]; then
35 warn_ "Error: '$app' not found"
36 ret=1
37 @@ -923,7 +923,7 @@ version_controlled_file() {
38 # two just-pre-run programs.
39
40 # Import from gettext.
41 -with_gettext=yes
42 +with_gettext=no
43 grep '^[ ]*AM_GNU_GETTEXT_VERSION(' configure.ac >/dev/null || \
44 with_gettext=no
45